Bug Hunting Session
Bug 91961 - Vertical text in a table cell rotated through paragraph or character style shows huge cursor at the beginning of the text
Summary: Vertical text in a table cell rotated through paragraph or character style sh...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Tables Vertical-Text
  Show dependency treegraph
 
Reported: 2015-06-09 10:05 UTC by ⚡ Thunde® ⚡
Modified: 2018-06-11 15:12 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
huge cursor (8.38 KB, image/png)
2015-06-09 10:05 UTC, ⚡ Thunde® ⚡
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ⚡ Thunde® ⚡ 2015-06-09 10:05:33 UTC
Created attachment 116409 [details]
huge cursor

Operate the button just to the left and right. In addition there is a huge cursor over the entire length of the vertical text. Let's see how you can navigate in the vertical text in a table in Microsoft Office 2003. Also see the screenshots.
Comment 1 Buovjaga 2015-06-11 12:52:55 UTC
I don't get such a huge and wrongly aligned cursor.

Win 7 Pro 64-bit, Version: 4.4.3.2
Build ID: 88805f81e9fe61362df02b9941de8e38a9b5fd16
Locale: fi_FI

Version: 5.1.0.0.alpha1+
Build ID: 5fc0cbbc1254223fedf0f78c5e7539219b228697
TinderBox: Win-x86@39, Branch:master, Time: 2015-06-11_04:30:51
Locale: fi-FI (fi_FI)
Comment 2 Aleksei 2015-06-23 13:02:11 UTC
Win7x64 6.1.7601 SP 1 Build 7601
Version: 5.0.0.1 (x64) Build ID: 9a0b23dd0ab9652e0965484934309f2d49a7758e

Ubuntu14x64
Version: 1:5.0.0~rc1-0ubuntu1~trusty1

Can you add some more description and steps to reproduce this bug?
Comment 3 Buovjaga 2015-06-23 13:14:57 UTC
1. New Writer document
2. Table - Insert table, OK
3. Right-click in table, Table properties
4. Text flow tab: Text orientation - vertical
5. Type stuff into the cell
Comment 4 ⚡ Thunde® ⚡ 2015-06-24 11:07:05 UTC
Beluga,
I tried what you suggested. Works great, better than orientation via text settings. I got turned 90 degrees clockwise. But how do I get the rotate by 90 degrees counterclockwise?
Comment 5 Buovjaga 2015-06-24 17:35:06 UTC
(In reply to ⚡ Thunde® ⚡ from comment #4)
> Beluga,
> I tried what you suggested. Works great, better than orientation via text
> settings. I got turned 90 degrees clockwise. But how do I get the rotate by
> 90 degrees counterclockwise?

Frankly, I don't know :)

But now that I tried another way to manipulate the orientation, it worked ok for me, too, without any huge cursor:
1. Right-click in the cell - Edit paragraph style (you should of course create a new style for a real document)
2. Position tab - Rotation / Scaling - 90 or 270 degrees

Let me know, if you get good results and we can close this report.

I did notice that manipulating paragraph style + position vs. table properties aligns the vertical text to the opposite sides of the cell. With position, it is at the left side.
Comment 6 ⚡ Thunde® ⚡ 2015-06-25 03:18:45 UTC
Try your advise, good. But is some issues.

http://www.youtube.com/watch?v=KGcjcp5OAKQ
Comment 7 Buovjaga 2015-06-25 08:23:45 UTC
Ok, your video had reproduction steps for the big cursor.

After rotating the text with Edit paragraph style, write some text and press the Home key.

It is interesting that this does not happen, if you rotate the text from the Table properties - Text flow.

I changed this to be about the huge cursor, you should create a separate issue for the navigation keys.

I did some searches and there doesn't seem to be a report for that yet.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+ (x64)
Build ID: a51ac4d2bb8c4f1ea1d4ea7569863e2fb6535b02
TinderBox: Win-x86_64@62-TDF, Branch:MASTER, Time: 2015-06-22_21:37:53
Locale: fi-FI (fi_FI)
Comment 8 ⚡ Thunde® ⚡ 2015-06-25 12:43:35 UTC
Just created the report about navigation.
https://bugs.documentfoundation.org/show_bug.cgi?id=92330
Comment 9 QA Administrators 2016-09-20 10:10:33 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920